function Pe=mpsksim(M,snr,n);
%Problem 8.4.5 Solution:
%Pe=mpsksim(M,snr,n)
%n bit M-PSK simulation
t=tan(pi/M);
A =[-t 1; -t -1];
Z=randn(2,n);
PC=zeros(length(snr));
for k=1:length(snr),
    B=(A*Z)<=t*sqrt(snr(k));
    PC(k)=sum(min(B))/n;
end
Pe=1-PC;