function M=simswitchd(lambda,T,t)
%Poisson arrivals, rate lambda
%Deterministic (T) call duration
%For vector t of times
%M(i) = no. of calls at time t(i)
s=poissonarrivals(lambda,max(t));
y=s+T;
A=countup(s,t);
D=countup(y,t);
M=A-D;