function Pe=berdecorr(n,k,snr,m);
%Problem 8.4.7 Solution: R-CDMA with decorrelation
%proc gain=n, users=k, average Pe for m signal sets
count=zeros(1,length(k)); %counts rank<k signal sets 
Pe=zeros(length(k),length(snr)); snr=snr(:)';
for mm=1:m,
   for i=1:length(k),
   S=randomsignals(n,k(i)); R=S'*S;
   if (rank(R)<k(i))
      count(i)=count(i)+1;
      Pe(i,:)=Pe(i,:)+0.5*ones(1,length(snr));
   else
      G=diag(inv(R));
      Pe(i,:)=Pe(i,:)+sum(qfunction(sqrt((1./G)*snr)))/k(i);
   end
end
end
disp('Rank deficiency count:');disp(k);disp(count);
Pe=Pe/m;