function [SX,SY,PXY]=circuits(n,p);
%Usage: [SX,SY,PXY]=circuits(n,p);
%   (See Problem 4.12.4)
[SX,SY]=ndgrid(0:n,0:n);
PXY=0*SX;
PXY(find((SX==n) & (SY==n)))=p^n;
for y=0:(n-1),
    I=find((SY==y) &(SX>=SY) &(SX<n));
    PXY(I)=(p^y)*(1-p)* ...
        binomialpmf(n-y-1,p,SX(I)-y);
end;
