n=1000; t=0.001*(-n:n);
w=gaussrv(0,0.01,(2*n)+1);
%Continuous Time, Continuous Value
xcc=2*cos(2*pi*t) + w';
plot(t,xcc);
xlabel('\it t');ylabel('\it X_{cc}(t)');
axis([-1 1 -3 3]);
figure; %Continuous Time, Discrete Value
xcd=round(xcc); plot(t,xcd);
xlabel('\it t');ylabel('\it X_{cd}(t)');
axis([-1 1 -3 3]);
figure; %Discrete time, Continuous Value
ts=subsample(t,100); xdc=subsample(xcc,100);
plot(ts,xdc,'b.');
xlabel('\it t');ylabel('\it X_{dc}(t)');
axis([-1 1 -3 3]);
figure; %Discrete Time, Discrete Value
xdd=subsample(xcd,100); plot(ts,xdd,'b.');
xlabel('\it t');ylabel('\it X_{dd}(t)');
axis([-1 1 -3 3]);

