function N=ultrareliable6(n,q);
% n is the number of 6 component devices
%N is the number of working devices
for r=1:6,
    W=rand(n,6)>q;
    R=rand(n,1)>(q/2);
    W(:,r)=R;
    D=(W(:,1)&W(:,2)&W(:,3))|W(:,4);
    D=D&(W(:,5)|W(:,6));
    N(r)=sum(D);
end